import * as $dara from '@darabonba/typescript';
export declare class DescribeImageSharePermissionResponseBodyAccountsAccount extends $dara.Model {
    /**
     * @remarks
     * The ID of the Alibaba Cloud account.
     *
     * @example
     * 1234567890
     */
    aliyunId?: string;
    /**
     * @remarks
     * The time when the image was shared. The time follows the [ISO 8601](https://help.aliyun.com/document_detail/25696.html) standard in the yyyy-MM-ddTHH:mm:ssZ format. The time is displayed in UTC.
     *
     * @example
     * 2023-01-01T12:05:00Z
     */
    sharedTime?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageSharePermissionResponseBodyAccounts extends $dara.Model {
    account?: DescribeImageSharePermissionResponseBodyAccountsAccount[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageSharePermissionResponseBodyShareGroupsShareGroup extends $dara.Model {
    /**
     * @remarks
     * The shared group.
     *
     * @example
     * all
     */
    group?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageSharePermissionResponseBodyShareGroups extends $dara.Model {
    shareGroup?: DescribeImageSharePermissionResponseBodyShareGroupsShareGroup[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImageSharePermissionResponseBody extends $dara.Model {
    /**
     * @remarks
     * The Alibaba Cloud accounts.
     */
    accounts?: DescribeImageSharePermissionResponseBodyAccounts;
    /**
     * @remarks
     * The ID of the custom image.
     *
     * @example
     * m-bp1caf3yicx5jlfl****
     */
    imageId?: string;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The region ID of the custom image.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The shared groups.
     */
    shareGroups?: DescribeImageSharePermissionResponseBodyShareGroups;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
